Adding Payments

post
Header parameters
AuthorizationstringRequired

Authorization: Bearer header with token is required.

Keep your API key confidential.

Body
ttlintegerRequired

Branta will remove the payment after ttl seconds.

Example: 86400
descriptionstringOptionalExample: Order #123
metadatastringOptional

Optional stringified JSON to show the user.

Example: {"Name": "S*****", "Email": "s******.com"}
Responses
chevron-right
201

Payment created successfully

No content

post
/payments

No content

Zero Knowledge

Zero Knowledge requires the API caller to encrypt the destination value before POST. Below is a javascript example of the encryption algorithm. Our SDKsarrow-up-right wrap the encrypt/decrypt functionality for you, if desired, or can be used for example code.

Last updated